/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DBSDSETTINGS_H
#define __DBSDSETTINGS_H

#include <qsettings.h>

/** @brief This class globally stores DesktopBSD's settings.
  *
  * This class provides some additional convenience methods.
  * It was introduced to be able to change the location of
  * the global configuration file easily.
  */
class DBSDSettings : public QSettings {
public:
	DBSDSettings();
	virtual	~DBSDSettings();

	virtual void	beginGroup(const QString &);
	virtual void	endGroup();
	virtual void	resetGroup();

private:
	uint	pathlevel;
};

#endif /* __DBSDSETTINGS_H */
